Subject: [bug#36477] [PATCH v4 01/23] gnu: openssl: Fix cross-compilation.

From: Mathieu Othacehe <[email-masked]>
Date: Wed, 02 Oct 2019 15:12:03 +0200

Hey Efraim,

Thanks for reviewing.

> This needs a null case. I think I'd try
>                 (_
>                  (string-append "linux-" (string-tokenize
>                                          (%current-target-system)
>                                          (char-set-compliment (char-set #\-)))))
> This would create something somewhat usable for uncovered cases, and in
> the case of x86_64-linux, it would (should) spit out "linux-x86_64"

Ok I'll add it (something like a "car" is missing to take only the first
part of %current-target-system which is referring to the architecture).

> could this be changed to
>              ,@(when (%current-target-system)
>                  '((getenv "CONFIGURE_TARGET_ARCH")))
>
> if it works then you don't need the 'if not' null case.

Nope, sadly it wouldn't work :(

,@(when #t '(1)) -> '(1)

but,

,@(when #f '(1)) -> "Unknown meta command: @"

Mathieu